# ftp class An implementation of the client side of FTP protocol.
Inherits
object
Description
This class provides a standard FTP functionality.
Functions
`$dataAvailableEvent(<data_length>)`
This function is called when some data is available to be read: the <data_length> parameter specifies the length of the available data in bytes. You can use one of the $read* functions to obtain the data.
`$connect(<host:string>,<remote_port:integer>)`
Connects to the FTP server host using port port.The command is scheduled, and its execution is performed asynchronously. The function returns a unique identifier which is passed by commandStarted() and commandFinished().
`$abort()`
`$login`
`$get`
`$cd`
`$list`
``

Index, Object Classes

KVIrc 4.0.0 Documentation
Generated by linimon at Sun Nov 22 19:00:06 2009